> For the complete documentation index, see [llms.txt](https://zeko.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://zeko.gitbook.io/docs/zekoai-api-docs/api-reference/ai-interview/get-interviews.md).

# Get Interviews

## List All Interviews

> Retrieve a list of interviews with optional filters.

```json
{"openapi":"3.0.3","info":{"title":"ZekoAI Interview APIs","version":"1.0.0"},"servers":[{"url":"https://interview-api.zeko.ai","description":"Production Server"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ListInterviewsResponse":{"allOf":[{"$ref":"#/components/schemas/SuccessWrapper"},{"type":"object","properties":{"message":{"type":"string"},"data":{"type":"array","items":{"type":"object","properties":{"interviewId":{"type":"string"},"interviewName":{"type":"string"},"roleName":{"type":"string"},"minExperience":{"type":"integer"},"maxExperience":{"type":"integer"},"jdType":{"type":"string","enum":["text","link"]},"sampleQuestions":{"type":"array","items":{"type":"string"}},"interviewConfig":{"type":"object","properties":{"redirectUrl":{"type":"string","format":"uri"},"allowAccess":{"type":"string","enum":["anyone","scheduledCandidates"]},"allowLateAttempts":{"type":"boolean"},"allowContinueFromMiddle":{"type":"boolean"},"allowContinueFromMiddleCount":{"type":"integer"},"allowReattempt":{"type":"boolean"},"allowReattemptCount":{"type":"integer"},"allowInterviewOnMobile":{"type":"boolean"},"allowScreenLeaveCount":{"type":"integer"},"allowTabSwitchCount":{"type":"integer"},"webhookUrl":{"type":"string","format":"uri"}}},"interviewLink":{"type":"string","nullable":true},"competencyData":{"type":"array","items":{"type":"object","properties":{"competency":{"type":"string"},"explanation":{"type":"string"},"difficulty":{"type":"string"},"questionType":{"type":"string"},"questionCount":{"type":"integer"},"time":{"type":"integer"},"category":{"type":"string"},"sampleQuestions":{"type":"array","items":{"type":"string"}}}}},"metaData":{"type":"object","properties":{"Id":{"type":"integer"},"name":{"type":"string"},"clientId":{"type":"integer"}}},"status":{"type":"string","enum":["draft","published","completed"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"codingSection":{"type":"array","items":{"type":"object","properties":{"selectionType":{"type":"string","enum":["custom","tag-based"]},"topic":{"type":"string"},"difficulty":{"type":"string","enum":["easy","medium","hard"]},"allowedLanguages":{"type":"array","items":{"type":"string"}},"followUpQuestionCount":{"type":"integer"},"questionTime":{"type":"integer"}}}}}}}}}]},"SuccessWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"data":{"type":"object","description":"Actual response data object"}}},"ErrorWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"error":{"nullable":true,"description":"Error details: Error Message"}},"required":["message","success","error"]}}},"paths":{"/api/v1/interview/get-interviews":{"get":{"tags":["Interview"],"summary":"List All Interviews","description":"Retrieve a list of interviews with optional filters.","operationId":"listInterviews","parameters":[{"in":"query","name":"status","schema":{"type":"string","enum":["draft","published"]}},{"in":"query","name":"page","schema":{"type":"integer"}},{"in":"query","name":"limit","schema":{"type":"integer"}},{"in":"query","name":"search","description":"Search by interview name or any other detail in the metadata","schema":{"type":"string"}}],"responses":{"200":{"description":"A list of interviews","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListInterviewsResponse"}}}},"401":{"description":"Missing or invalid Authorization header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}}}}}}}
```

## Get Interview by ID

> Fetch detailed information for a single interview.

```json
{"openapi":"3.0.3","info":{"title":"ZekoAI Interview APIs","version":"1.0.0"},"servers":[{"url":"https://interview-api.zeko.ai","description":"Production Server"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GetInterviewResponse":{"allOf":[{"$ref":"#/components/schemas/SuccessWrapper"},{"type":"object","properties":{"message":{"type":"string"},"data":{"type":"object","properties":{"interviewId":{"type":"string"},"interviewName":{"type":"string"},"roleName":{"type":"string"},"minExperience":{"type":"integer"},"maxExperience":{"type":"integer"},"jdType":{"type":"string","enum":["text","link"]},"sampleQuestions":{"type":"array","items":{"type":"string"}},"competencyData":{"type":"array","items":{"type":"object","properties":{"competency":{"type":"string"},"explanation":{"type":"string"},"difficulty":{"type":"string"},"questionType":{"type":"string"},"questionCount":{"type":"integer"},"time":{"type":"integer"},"category":{"type":"string"},"sampleQuestions":{"type":"array","items":{"type":"string"}}}}},"interviewConfig":{"type":"object","properties":{"redirectUrl":{"type":"string","format":"uri"},"allowAccess":{"type":"string","enum":["anyone","scheduledCandidates"]},"allowLateAttempts":{"type":"boolean"},"allowContinueFromMiddle":{"type":"boolean"},"allowContinueFromMiddleCount":{"type":"integer"},"allowReattempt":{"type":"boolean"},"allowReattemptCount":{"type":"integer"},"allowInterviewOnMobile":{"type":"boolean"},"allowScreenLeaveCount":{"type":"integer"},"allowTabSwitchCount":{"type":"integer"},"webhookUrl":{"type":"string","format":"uri"}}},"metaData":{"type":"object","additionalProperties":true},"status":{"type":"string","enum":["draft","published","completed"]},"interviewLink":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"codingSection":{"type":"array","items":{"type":"object","properties":{"selectionType":{"type":"string","enum":["custom","tag-based"]},"topic":{"type":"string"},"difficulty":{"type":"string","enum":["easy","medium","hard"]},"allowedLanguages":{"type":"array","items":{"type":"string"}},"followUpQuestionCount":{"type":"integer"},"questionTime":{"type":"integer"}}}}}}}}]},"SuccessWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"data":{"type":"object","description":"Actual response data object"}}},"ErrorWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"error":{"nullable":true,"description":"Error details: Error Message"}},"required":["message","success","error"]}}},"paths":{"/api/v1/interview/get-interview/{id}":{"get":{"tags":["Interview"],"summary":"Get Interview by ID","description":"Fetch detailed information for a single interview.","operationId":"getInterviewById","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The interview ID"}],"responses":{"200":{"description":"Interview details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetInterviewResponse"}}}},"401":{"description":"Missing or invalid Authorization header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}},"404":{"description":"Interview not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}}}}}}}
```
